declare module BA.Ui.Ribbon {
    class RibbonTools {
        private static ribbonInitialized;
        static Initialize(extraActions?: Function): void;
        static InitializeDragAndDrop(ribbon: BAClientRibbon): void;
        static InitializeCustomData(s: ASPxClientControl): void;
        static OptimizeTooltips(): void;
        static EvaluateRibbonItemVisibility(ribbonItem: BAClientRibbonItem, containedTypes: string, selectedNodeOrm: string, temporaryKey: Classes.Guid, grid: BAClientGridView, ev: ASPxClientEventArgs): boolean;
        static EnableOnlyInGridLocation(ribbonItem: BAClientRibbonItem): boolean;
        static EnableOnlyForFormMode(ribbonItem: BAClientRibbonItem): boolean;
        static EnableIfDataDashAttributeHasValue(ribbonItem: BAClientRibbonItem, grid: BAClientGridView, ev: ASPxClientEventArgs): boolean;
        static EnableActionIfClientVariableIsTrue(ribbonItem: BAClientRibbonItem): any;
        static EnableIfMethodReturnsTrue(ribbonItem: BAClientRibbonItem): any;
        static IfClientControlHasValue(ribbonItem: BAClientRibbonItem): boolean;
        static SelectedNodeIsOfOrmType(ribbonItem: BAClientRibbonItem, containedTypes: string, selectedNodeOrm: string): boolean;
        static SelectedItemsCount(ribbonItem: BAClientRibbonItem): boolean;
        static SupportedOrmTypeVisibility(ribbonItem: BAClientRibbonItem, containedTypes: string): boolean;
        static EnableIfSelectedOrmIsOfSupportedTypes(ribbonItem: BAClientRibbonItem): boolean;
        static EnableActionIfTabIsNotDirty(ribbonItem: BAClientRibbonItem): boolean;
        static EnableActionsIfTemporaryRecord(ribbonItem: BAClientRibbonItem, temporary: Classes.Guid): boolean;
        static EnableActionIfValuesAreNotSame(ribbonItem: BAClientRibbonItem): boolean;
        static EnableActionIfValuesAreSame(ribbonItem: BAClientRibbonItem): boolean;
        static EnableActionIfAnyControlContainsAnyValue(ribbonItem: BAClientRibbonItem): boolean;
        static EnableActionIfTrue(ribbonItem: BAClientRibbonItem): boolean;
        static EnableActionIfUserHasRole(ribbonItem: BAClientRibbonItem): boolean;
        static EnableActionIfValuesContains(ribbonItem: BAClientRibbonItem): any;
        static EnableActionIfValuesNotContains(ribbonItem: BAClientRibbonItem): boolean;
        private static GetFieldContentReadMode;
        static EnableIfUserHasRightsOverSelectedRowTypes(ribbonItem: BAClientRibbonItem, typesInGrid: string): boolean;
        static EnableIfUserHasRightsOverForm(ribbonItem: BAClientRibbonItem): boolean;
    }
}
